%define upstream_name    Algorithm-Evolutionary
%define upstream_version 0.80

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    N-point crossover
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Permute) >= 0.10.0
BuildRequires: perl(B::Deparse) >= 0.560.0
BuildRequires: perl(Bit::Vector)
BuildRequires: perl(Clone) >= 0.310.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD) >= 2.170.0
BuildRequires: perl(Math::Random) >= 0.630.0
BuildRequires: perl(Memoize)
BuildRequires: perl(Object::Array)
BuildRequires: perl(Pod::Escapes)
BuildRequires: perl(Sort::Key)
BuildRequires: perl(Statistics::Basic) >= 1.600.0
BuildRequires: perl(String::Random)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Simple) >= 0.440.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Tree::DAG_Node) >= 1.40.0
BuildRequires: perl(XML::LibXML) >= 1.500.0
BuildRequires: perl(XML::Parser) >= 2.400.0
BuildRequires: perl(XML::Parser::Style::EasyTree)
BuildRequires: perl(YAML)
BuildRequires: perl(constant)
BuildRequires: perl(version)
BuildArch:  noarch

%description
'Algorithm::Evolutionary' is a set of classes for doing object-oriented
evolutionary computation in Perl. Why would anyone want to do that escapes
my knowledge, but, in fact, we have found it quite useful for our own
purposes. Same as Perl itself.

The design principle of Algorithm::Evolutionary is _flexibility_: it should
be very easy to extend using this library, and it should be also quite easy
to program what's already there in the evolutionary computation community.
Besides, the library classes should have persistence provided by XML
modules, and, in some cases, YAML.

The algorithm allows to create simple evolutionary algorithms, as well as
more complex ones, that interface with databases or with the web. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# Please restore the tests (and disable the patch) after next update
# Fails because of named parameter order changing in generated XML
rm -f t/NoChangeTerm.t
# Complains about GD version despite having a newer one
rm -f t/0601-cga-gif-output.t
# Various warnings
rm -f t/pod.t
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/rectangle-coverage.pl
%{_bindir}/tide_bitstring.pl
%{_bindir}/tide_float.pl
%{_bindir}/canonical-genetic-algorithm.pl
%{_mandir}/man1/tide_bitstring.pl.1*
%{_mandir}/man1/tide_float.pl.1*
%{_mandir}/man1/canonical-genetic-algorithm.pl.1*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.800.0-3.mga6
+ Revision: 1022257
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.800.0-2.mga6
+ Revision: 966924
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.800.0-1.mga6
+ Revision: 847064
- update to 0.80

* Sun Oct 19 2014 umeabot <umeabot> 0.780.0-7.mga5
+ Revision: 790396
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.780.0-6.mga5
+ Revision: 740467
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 30 2013 pterjan <pterjan> 0.780.0-4.mga5
+ Revision: 563259
- Fix code and disable some broken tests

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.780.0-2.mga3
+ Revision: 362851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.780.0-1.mga3
+ Revision: 285083
- update to 0.78

  + jquelin <jquelin>
    - update to 0.77
    - update to 0.76
    - update to 0.75
    - mageia rebuild
    - imported package perl-Algorithm-Evolutionary

